/// <reference types="codemirror" />
import { UserConfig } from 'emmet';
import AbbreviationTracker from './AbbreviationTracker';
export default function initAbbreviationTracker(editor: CodeMirror.Editor): () => void;
/**
 * If allowed, tries to extract abbreviation from given completion context
 */
export declare function extractTracker(editor: CodeMirror.Editor, pos: number): AbbreviationTracker | undefined;
/**
 * Detects and returns valid abbreviation activation context for given location
 * in editor which can be used for abbreviation expanding.
 * For example, in given HTML code:
 * `<div title="Sample" style="">Hello world</div>`
 * it’s not allowed to expand abbreviations inside `<div ...>` or `</div>`,
 * yet it’s allowed inside `style` attribute and between tags.
 *
 * This method ensures that given `pos` is inside location allowed for expanding
 * abbreviations and returns context data about it
 */
export declare function getActivationContext(editor: CodeMirror.Editor, pos: number): UserConfig | undefined;
